ru.bitel.bgbilling.kernel.contract.period.common.bean

## Class ContractPeriod

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.period.common.bean.ContractPeriod

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ContractPeriod
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractPeriod()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `long` | `getJobId()`
    `java.time.LocalDateTime` | `getLastUpdate()`
    `PeriodWithTime` | `getPeriod()`
    `int` | `getUserId()`
    `boolean` | `isGenerateCloseEvent()`
    `boolean` | `isSentCloseEvent()`
    `void` | `setContractId(int contractId)`
    `void` | `setGenerateCloseEvent(boolean generateCloseEvent)`
    `void` | `setJobId(long jobId)`
    `void` | `setLastUpdate(java.time.LocalDateTime lastUpdate)`
    `void` | `setPeriod(PeriodWithTime period)`
    `void` | `setSentCloseEvent(boolean sentCloseEvent)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractPeriod

          public ContractPeriod()

  - ### Method Detail

    - #### getJobId

          public long getJobId()

    - #### setJobId

          public void setJobId(long jobId)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getPeriod

          public PeriodWithTime getPeriod()

    - #### setPeriod

          public void setPeriod(PeriodWithTime period)

    - #### getLastUpdate

          public java.time.LocalDateTime getLastUpdate()

    - #### setLastUpdate

          public void setLastUpdate(java.time.LocalDateTime lastUpdate)

    - #### isGenerateCloseEvent

          public boolean isGenerateCloseEvent()

    - #### setGenerateCloseEvent

          public void setGenerateCloseEvent(boolean generateCloseEvent)

    - #### isSentCloseEvent

          public boolean isSentCloseEvent()

    - #### setSentCloseEvent

          public void setSentCloseEvent(boolean sentCloseEvent)